{% extends 'base.html' %}

{% block title %}
    My Tasks
{% endblock title %}
{% block content %}
    <h1 class="text-light">My Tasks</h1>
    {% if tasks %}
        <div class="shadow-lg p-3 mb-5 bg-body rounded">
            <table class="table table-dark table-hover opacity-0">
                <thead class = "text-light">
                    <th>Name</th>
                    <th>Start Date</th>
                    <th>Due Date</th>
                    <th>Is Completed</th>
                </thead>
                <tbody class = "text-light">
                    {% for task in tasks.all %}
                        <tr>
                            <td>{{ task.name }}</td>
                            <td>{{ task.start_date }}</td>
                            <td>{{ task.due_date }}</td>
                            <td>{{ task.is_completed|yesno }}</td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        {% else %}
            <p class="text-light">You have no tasks</p>
        {% endif %}
    {% endblock content %}
